Bug 37676 - add "synced" to UDM syntax for objectFlag
add "synced" to UDM syntax for objectFlag
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-03 10:05 CET by Florian Best
Modified: 2017-07-05 13:06 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (703 bytes, patch)
2017-06-16 19:20 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2015-02-03 10:05:01 CET
We should add 'synced' to the syntax for valid values for "objectFlag".
It's currently forbidden and may could cause problems when using UDM-CLI?
Comment 1 Florian Best univentionstaff 2017-06-16 19:20:56 CEST
Created attachment 8929 [details]
patch
Comment 2 Florian Best univentionstaff 2017-06-29 18:58:28 CEST
The patch contains a typo. Please write "syncronized".
Comment 3 Johannes Keiser univentionstaff 2017-06-30 16:22:04 CEST
(In reply to Florian Best from comment #1)
> Created attachment 8929 [details]
> patch

(In reply to Florian Best from comment #2)
> The patch contains a typo. Please write "syncronized".

Applied patch:

r 80698
univention-directory-manager-modules (12.0.17-41) 
* Bug #37676: Applied patch from Florian Best - Add 'synced' as valid
value for ObjectFlag
Comment 4 Johannes Keiser univentionstaff 2017-06-30 17:23:19 CEST
YAML: r 80744
Comment 5 Johannes Keiser univentionstaff 2017-07-03 13:18:01 CEST
r 80764
univention-directory-manager-modules (12.0.17-48) 
* Bug #37676: Add missing translation
Comment 6 Florian Best univentionstaff 2017-07-03 14:51:44 CEST
OK: udm users/user modify --dn "$dn" --set objectFlag=synced
OK: translation
OK: YAML (adjusted in r80784)
Comment 7 Janek Walkenhorst univentionstaff 2017-07-05 13:06:18 CEST
<http://errata.software-univention.de/ucs/4.2/79.html>